Bug 216200 - audio/lastfm-desktop: fails to build with clang 4.0
Summary: audio/lastfm-desktop: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Veniamin Gvozdikov
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-17 23:06 UTC by Jan Beich
Modified: 2018-02-17 00:03 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vg)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-17 23:06:02 UTC
Application.cpp:433:25: error: ordered comparison between pointer and zero ('void *' and 'int')
    if( m_raiseHotKeyId >= 0 )
        ~~~~~~~~~~~~~~~ ^  ~

build log: http://sprunge.us/JEDP
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-01-23 07:45:40 UTC
Should fixed with this commit https://svnweb.freebsd.org/ports?view=revision&revision=456970.